// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.18.1
// source: client/did.proto

package freeje_client

import (
	api "gitlab.com/BetaCompany/Freeje/sdk/go/api"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type Language struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Code string `protobuf:"bytes,1,opt,name=code,proto3" json:"code,omitempty"`
}

func (x *Language) Reset() {
	*x = Language{}
	if protoimpl.UnsafeEnabled {
		mi := &file_client_did_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Language) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Language) ProtoMessage() {}

func (x *Language) ProtoReflect() protoreflect.Message {
	mi := &file_client_did_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Language.ProtoReflect.Descriptor instead.
func (*Language) Descriptor() ([]byte, []int) {
	return file_client_did_proto_rawDescGZIP(), []int{0}
}

func (x *Language) GetCode() string {
	if x != nil {
		return x.Code
	}
	return ""
}

type DidCountry struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Country string `protobuf:"bytes,1,opt,name=country,proto3" json:"country,omitempty"`
	Prefix  string `protobuf:"bytes,2,opt,name=prefix,proto3" json:"prefix,omitempty"`
	Label   string `protobuf:"bytes,3,opt,name=label,proto3" json:"label,omitempty"`
}

func (x *DidCountry) Reset() {
	*x = DidCountry{}
	if protoimpl.UnsafeEnabled {
		mi := &file_client_did_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DidCountry) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DidCountry) ProtoMessage() {}

func (x *DidCountry) ProtoReflect() protoreflect.Message {
	mi := &file_client_did_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DidCountry.ProtoReflect.Descriptor instead.
func (*DidCountry) Descriptor() ([]byte, []int) {
	return file_client_did_proto_rawDescGZIP(), []int{1}
}

func (x *DidCountry) GetCountry() string {
	if x != nil {
		return x.Country
	}
	return ""
}

func (x *DidCountry) GetPrefix() string {
	if x != nil {
		return x.Prefix
	}
	return ""
}

func (x *DidCountry) GetLabel() string {
	if x != nil {
		return x.Label
	}
	return ""
}

type DidLocality struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id       string              `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Prefix   string              `protobuf:"bytes,2,opt,name=prefix,proto3" json:"prefix,omitempty"`
	Country  string              `protobuf:"bytes,3,opt,name=country,proto3" json:"country,omitempty"`
	Label    string              `protobuf:"bytes,4,opt,name=label,proto3" json:"label,omitempty"`
	Features []api.NumberFeature `protobuf:"varint,5,rep,packed,name=features,proto3,enum=com.freeje.NumberFeature" json:"features,omitempty"` // особенности номероа в зоне (SMS,FAX и тд)
	Types    []api.PhoneType     `protobuf:"varint,6,rep,packed,name=types,proto3,enum=com.freeje.PhoneType" json:"types,omitempty"`           // возможные типы номеров в зоне
}

func (x *DidLocality) Reset() {
	*x = DidLocality{}
	if protoimpl.UnsafeEnabled {
		mi := &file_client_did_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DidLocality) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DidLocality) ProtoMessage() {}

func (x *DidLocality) ProtoReflect() protoreflect.Message {
	mi := &file_client_did_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DidLocality.ProtoReflect.Descriptor instead.
func (*DidLocality) Descriptor() ([]byte, []int) {
	return file_client_did_proto_rawDescGZIP(), []int{2}
}

func (x *DidLocality) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *DidLocality) GetPrefix() string {
	if x != nil {
		return x.Prefix
	}
	return ""
}

func (x *DidLocality) GetCountry() string {
	if x != nil {
		return x.Country
	}
	return ""
}

func (x *DidLocality) GetLabel() string {
	if x != nil {
		return x.Label
	}
	return ""
}

func (x *DidLocality) GetFeatures() []api.NumberFeature {
	if x != nil {
		return x.Features
	}
	return nil
}

func (x *DidLocality) GetTypes() []api.PhoneType {
	if x != nil {
		return x.Types
	}
	return nil
}

type DidRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *DidRequest) Reset() {
	*x = DidRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_client_did_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DidRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DidRequest) ProtoMessage() {}

func (x *DidRequest) ProtoReflect() protoreflect.Message {
	mi := &file_client_did_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DidRequest.ProtoReflect.Descriptor instead.
func (*DidRequest) Descriptor() ([]byte, []int) {
	return file_client_did_proto_rawDescGZIP(), []int{3}
}

func (x *DidRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

type OfferBasket struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id    string    `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Offer *DidOffer `protobuf:"bytes,2,opt,name=offer,proto3" json:"offer,omitempty"`
}

func (x *OfferBasket) Reset() {
	*x = OfferBasket{}
	if protoimpl.UnsafeEnabled {
		mi := &file_client_did_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *OfferBasket) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*OfferBasket) ProtoMessage() {}

func (x *OfferBasket) ProtoReflect() protoreflect.Message {
	mi := &file_client_did_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use OfferBasket.ProtoReflect.Descriptor instead.
func (*OfferBasket) Descriptor() ([]byte, []int) {
	return file_client_did_proto_rawDescGZIP(), []int{4}
}

func (x *OfferBasket) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *OfferBasket) GetOffer() *DidOffer {
	if x != nil {
		return x.Offer
	}
	return nil
}

type DidOffer struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id           string              `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Number       string              `protobuf:"bytes,2,opt,name=number,proto3" json:"number,omitempty"`
	Type         api.PhoneType       `protobuf:"varint,3,opt,name=type,proto3,enum=com.freeje.PhoneType" json:"type,omitempty"`
	Price        *api.DidPrice       `protobuf:"bytes,4,opt,name=price,proto3" json:"price,omitempty"`
	Requirements []api.DocumentType  `protobuf:"varint,5,rep,packed,name=requirements,proto3,enum=com.freeje.DocumentType" json:"requirements,omitempty"` // типы документов которые необходимо предоставить
	Features     []api.NumberFeature `protobuf:"varint,6,rep,packed,name=features,proto3,enum=com.freeje.NumberFeature" json:"features,omitempty"`        // особенности номеров в зоне
	DocumentIds  []string            `protobuf:"bytes,7,rep,name=document_ids,json=documentIds,proto3" json:"document_ids,omitempty"`                     // идентификаторы документов которые указал пользователь (для RequestNumber)
	Notes        string              `protobuf:"bytes,8,opt,name=notes,proto3" json:"notes,omitempty"`
	Country      string              `protobuf:"bytes,9,opt,name=country,proto3" json:"country,omitempty"` // ISO-2 код страны номера
}

func (x *DidOffer) Reset() {
	*x = DidOffer{}
	if protoimpl.UnsafeEnabled {
		mi := &file_client_did_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DidOffer) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DidOffer) ProtoMessage() {}

func (x *DidOffer) ProtoReflect() protoreflect.Message {
	mi := &file_client_did_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DidOffer.ProtoReflect.Descriptor instead.
func (*DidOffer) Descriptor() ([]byte, []int) {
	return file_client_did_proto_rawDescGZIP(), []int{5}
}

func (x *DidOffer) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *DidOffer) GetNumber() string {
	if x != nil {
		return x.Number
	}
	return ""
}

func (x *DidOffer) GetType() api.PhoneType {
	if x != nil {
		return x.Type
	}
	return api.PhoneType(0)
}

func (x *DidOffer) GetPrice() *api.DidPrice {
	if x != nil {
		return x.Price
	}
	return nil
}

func (x *DidOffer) GetRequirements() []api.DocumentType {
	if x != nil {
		return x.Requirements
	}
	return nil
}

func (x *DidOffer) GetFeatures() []api.NumberFeature {
	if x != nil {
		return x.Features
	}
	return nil
}

func (x *DidOffer) GetDocumentIds() []string {
	if x != nil {
		return x.DocumentIds
	}
	return nil
}

func (x *DidOffer) GetNotes() string {
	if x != nil {
		return x.Notes
	}
	return ""
}

func (x *DidOffer) GetCountry() string {
	if x != nil {
		return x.Country
	}
	return ""
}

type LocalityConstraints struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Country  string              `protobuf:"bytes,1,opt,name=country,proto3" json:"country,omitempty"`
	Prefix   string              `protobuf:"bytes,2,opt,name=prefix,proto3" json:"prefix,omitempty"`
	Features []api.NumberFeature `protobuf:"varint,3,rep,packed,name=features,proto3,enum=com.freeje.NumberFeature" json:"features,omitempty"` // особенности номера (SMS,FAX и тд)
	Types    []api.PhoneType     `protobuf:"varint,4,rep,packed,name=types,proto3,enum=com.freeje.PhoneType" json:"types,omitempty"`           // возможные типы номеров
}

func (x *LocalityConstraints) Reset() {
	*x = LocalityConstraints{}
	if protoimpl.UnsafeEnabled {
		mi := &file_client_did_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *LocalityConstraints) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*LocalityConstraints) ProtoMessage() {}

func (x *LocalityConstraints) ProtoReflect() protoreflect.Message {
	mi := &file_client_did_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use LocalityConstraints.ProtoReflect.Descriptor instead.
func (*LocalityConstraints) Descriptor() ([]byte, []int) {
	return file_client_did_proto_rawDescGZIP(), []int{6}
}

func (x *LocalityConstraints) GetCountry() string {
	if x != nil {
		return x.Country
	}
	return ""
}

func (x *LocalityConstraints) GetPrefix() string {
	if x != nil {
		return x.Prefix
	}
	return ""
}

func (x *LocalityConstraints) GetFeatures() []api.NumberFeature {
	if x != nil {
		return x.Features
	}
	return nil
}

func (x *LocalityConstraints) GetTypes() []api.PhoneType {
	if x != nil {
		return x.Types
	}
	return nil
}

type DidNumber struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id         string              `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`           // идентификатор (может быть пустым если это не конкретный купленный номер
	Number     string              `protobuf:"bytes,2,opt,name=number,proto3" json:"number,omitempty"`   // номер или его префикс
	Label      string              `protobuf:"bytes,3,opt,name=label,proto3" json:"label,omitempty"`     // Название номера или префикса (город, область)
	Country    string              `protobuf:"bytes,4,opt,name=country,proto3" json:"country,omitempty"` // ISO-2 код страны номера
	PayedTill  int64               `protobuf:"varint,5,opt,name=payed_till,json=payedTill,proto3" json:"payed_till,omitempty"`
	Createdms  int64               `protobuf:"varint,6,opt,name=createdms,proto3" json:"createdms,omitempty"` // время создания номера
	Locality   string              `protobuf:"bytes,7,opt,name=locality,proto3" json:"locality,omitempty"`    // Местонахождение
	Type       api.PhoneType       `protobuf:"varint,8,opt,name=type,proto3,enum=com.freeje.PhoneType" json:"type,omitempty"`
	Price      *api.DidPrice       `protobuf:"bytes,9,opt,name=price,proto3" json:"price,omitempty"`
	Notes      string              `protobuf:"bytes,10,opt,name=notes,proto3" json:"notes,omitempty"`                                             // если incomplete==true то содержит текст ошибки в случае ее наличия
	Features   []api.NumberFeature `protobuf:"varint,11,rep,packed,name=features,proto3,enum=com.freeje.NumberFeature" json:"features,omitempty"` // особенности номеров в зоне
	Status     api.DidStatus       `protobuf:"varint,12,opt,name=status,proto3,enum=com.freeje.DidStatus" json:"status,omitempty"`                // состояние номера
	Incomplete bool                `protobuf:"varint,13,opt,name=incomplete,proto3" json:"incomplete,omitempty"`                                  // true если номер находится в процессе подключения
}

func (x *DidNumber) Reset() {
	*x = DidNumber{}
	if protoimpl.UnsafeEnabled {
		mi := &file_client_did_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DidNumber) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DidNumber) ProtoMessage() {}

func (x *DidNumber) ProtoReflect() protoreflect.Message {
	mi := &file_client_did_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DidNumber.ProtoReflect.Descriptor instead.
func (*DidNumber) Descriptor() ([]byte, []int) {
	return file_client_did_proto_rawDescGZIP(), []int{7}
}

func (x *DidNumber) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *DidNumber) GetNumber() string {
	if x != nil {
		return x.Number
	}
	return ""
}

func (x *DidNumber) GetLabel() string {
	if x != nil {
		return x.Label
	}
	return ""
}

func (x *DidNumber) GetCountry() string {
	if x != nil {
		return x.Country
	}
	return ""
}

func (x *DidNumber) GetPayedTill() int64 {
	if x != nil {
		return x.PayedTill
	}
	return 0
}

func (x *DidNumber) GetCreatedms() int64 {
	if x != nil {
		return x.Createdms
	}
	return 0
}

func (x *DidNumber) GetLocality() string {
	if x != nil {
		return x.Locality
	}
	return ""
}

func (x *DidNumber) GetType() api.PhoneType {
	if x != nil {
		return x.Type
	}
	return api.PhoneType(0)
}

func (x *DidNumber) GetPrice() *api.DidPrice {
	if x != nil {
		return x.Price
	}
	return nil
}

func (x *DidNumber) GetNotes() string {
	if x != nil {
		return x.Notes
	}
	return ""
}

func (x *DidNumber) GetFeatures() []api.NumberFeature {
	if x != nil {
		return x.Features
	}
	return nil
}

func (x *DidNumber) GetStatus() api.DidStatus {
	if x != nil {
		return x.Status
	}
	return api.DidStatus(0)
}

func (x *DidNumber) GetIncomplete() bool {
	if x != nil {
		return x.Incomplete
	}
	return false
}

var File_client_did_proto protoreflect.FileDescriptor

var file_client_did_proto_rawDesc = []byte{
	0x0a, 0x10, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2f, 0x64, 0x69, 0x64, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x12, 0x15, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x1a, 0x0c, 0x63, 0x6f, 0x6d, 0x6d, 0x6f,
	0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x1e, 0x0a, 0x08, 0x4c, 0x61, 0x6e, 0x67, 0x75,
	0x61, 0x67, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x63, 0x6f, 0x64, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x04, 0x63, 0x6f, 0x64, 0x65, 0x22, 0x54, 0x0a, 0x0a, 0x44, 0x69, 0x64, 0x43, 0x6f,
	0x75, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x18, 0x0a, 0x07, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x72, 0x79,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x72, 0x79, 0x12,
	0x16, 0x0a, 0x06, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x06, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x12, 0x14, 0x0a, 0x05, 0x6c, 0x61, 0x62, 0x65, 0x6c,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x6c, 0x61, 0x62, 0x65, 0x6c, 0x22, 0xc9, 0x01,
	0x0a, 0x0b, 0x44, 0x69, 0x64, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x69, 0x74, 0x79, 0x12, 0x0e, 0x0a,
	0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x16, 0x0a,
	0x06, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x70,
	0x72, 0x65, 0x66, 0x69, 0x78, 0x12, 0x18, 0x0a, 0x07, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x72, 0x79,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x72, 0x79, 0x12,
	0x14, 0x0a, 0x05, 0x6c, 0x61, 0x62, 0x65, 0x6c, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05,
	0x6c, 0x61, 0x62, 0x65, 0x6c, 0x12, 0x35, 0x0a, 0x08, 0x66, 0x65, 0x61, 0x74, 0x75, 0x72, 0x65,
	0x73, 0x18, 0x05, 0x20, 0x03, 0x28, 0x0e, 0x32, 0x19, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72,
	0x65, 0x65, 0x6a, 0x65, 0x2e, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x46, 0x65, 0x61, 0x74, 0x75,
	0x72, 0x65, 0x52, 0x08, 0x66, 0x65, 0x61, 0x74, 0x75, 0x72, 0x65, 0x73, 0x12, 0x2b, 0x0a, 0x05,
	0x74, 0x79, 0x70, 0x65, 0x73, 0x18, 0x06, 0x20, 0x03, 0x28, 0x0e, 0x32, 0x15, 0x2e, 0x63, 0x6f,
	0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x50, 0x68, 0x6f, 0x6e, 0x65, 0x54, 0x79,
	0x70, 0x65, 0x52, 0x05, 0x74, 0x79, 0x70, 0x65, 0x73, 0x22, 0x1c, 0x0a, 0x0a, 0x44, 0x69, 0x64,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x22, 0x54, 0x0a, 0x0b, 0x4f, 0x66, 0x66, 0x65, 0x72,
	0x42, 0x61, 0x73, 0x6b, 0x65, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x35, 0x0a, 0x05, 0x6f, 0x66, 0x66, 0x65, 0x72, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65,
	0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x44, 0x69,
	0x64, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x52, 0x05, 0x6f, 0x66, 0x66, 0x65, 0x72, 0x22, 0xd1, 0x02,
	0x0a, 0x08, 0x44, 0x69, 0x64, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x16, 0x0a, 0x06, 0x6e, 0x75,
	0x6d, 0x62, 0x65, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x6e, 0x75, 0x6d, 0x62,
	0x65, 0x72, 0x12, 0x29, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0e,
	0x32, 0x15, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x50, 0x68,
	0x6f, 0x6e, 0x65, 0x54, 0x79, 0x70, 0x65, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x2a, 0x0a,
	0x05, 0x70, 0x72, 0x69, 0x63, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x14, 0x2e, 0x63,
	0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x44, 0x69, 0x64, 0x50, 0x72, 0x69,
	0x63, 0x65, 0x52, 0x05, 0x70, 0x72, 0x69, 0x63, 0x65, 0x12, 0x3c, 0x0a, 0x0c, 0x72, 0x65, 0x71,
	0x75, 0x69, 0x72, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x18, 0x05, 0x20, 0x03, 0x28, 0x0e, 0x32,
	0x18, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x44, 0x6f, 0x63,
	0x75, 0x6d, 0x65, 0x6e, 0x74, 0x54, 0x79, 0x70, 0x65, 0x52, 0x0c, 0x72, 0x65, 0x71, 0x75, 0x69,
	0x72, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x12, 0x35, 0x0a, 0x08, 0x66, 0x65, 0x61, 0x74, 0x75,
	0x72, 0x65, 0x73, 0x18, 0x06, 0x20, 0x03, 0x28, 0x0e, 0x32, 0x19, 0x2e, 0x63, 0x6f, 0x6d, 0x2e,
	0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x46, 0x65, 0x61,
	0x74, 0x75, 0x72, 0x65, 0x52, 0x08, 0x66, 0x65, 0x61, 0x74, 0x75, 0x72, 0x65, 0x73, 0x12, 0x21,
	0x0a, 0x0c, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x73, 0x18, 0x07,
	0x20, 0x03, 0x28, 0x09, 0x52, 0x0b, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x49, 0x64,
	0x73, 0x12, 0x14, 0x0a, 0x05, 0x6e, 0x6f, 0x74, 0x65, 0x73, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x05, 0x6e, 0x6f, 0x74, 0x65, 0x73, 0x12, 0x18, 0x0a, 0x07, 0x63, 0x6f, 0x75, 0x6e, 0x74,
	0x72, 0x79, 0x18, 0x09, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x72,
	0x79, 0x22, 0xab, 0x01, 0x0a, 0x13, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x69, 0x74, 0x79, 0x43, 0x6f,
	0x6e, 0x73, 0x74, 0x72, 0x61, 0x69, 0x6e, 0x74, 0x73, 0x12, 0x18, 0x0a, 0x07, 0x63, 0x6f, 0x75,
	0x6e, 0x74, 0x72, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x63, 0x6f, 0x75, 0x6e,
	0x74, 0x72, 0x79, 0x12, 0x16, 0x0a, 0x06, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x06, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x12, 0x35, 0x0a, 0x08, 0x66,
	0x65, 0x61, 0x74, 0x75, 0x72, 0x65, 0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0e, 0x32, 0x19, 0x2e,
	0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x4e, 0x75, 0x6d, 0x62, 0x65,
	0x72, 0x46, 0x65, 0x61, 0x74, 0x75, 0x72, 0x65, 0x52, 0x08, 0x66, 0x65, 0x61, 0x74, 0x75, 0x72,
	0x65, 0x73, 0x12, 0x2b, 0x0a, 0x05, 0x74, 0x79, 0x70, 0x65, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28,
	0x0e, 0x32, 0x15, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x50,
	0x68, 0x6f, 0x6e, 0x65, 0x54, 0x79, 0x70, 0x65, 0x52, 0x05, 0x74, 0x79, 0x70, 0x65, 0x73, 0x22,
	0xaf, 0x03, 0x0a, 0x09, 0x44, 0x69, 0x64, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x12, 0x0e, 0x0a,
	0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x16, 0x0a,
	0x06, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x6e,
	0x75, 0x6d, 0x62, 0x65, 0x72, 0x12, 0x14, 0x0a, 0x05, 0x6c, 0x61, 0x62, 0x65, 0x6c, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x6c, 0x61, 0x62, 0x65, 0x6c, 0x12, 0x18, 0x0a, 0x07, 0x63,
	0x6f, 0x75, 0x6e, 0x74, 0x72, 0x79, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x63, 0x6f,
	0x75, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x1d, 0x0a, 0x0a, 0x70, 0x61, 0x79, 0x65, 0x64, 0x5f, 0x74,
	0x69, 0x6c, 0x6c, 0x18, 0x05, 0x20, 0x01, 0x28, 0x03, 0x52, 0x09, 0x70, 0x61, 0x79, 0x65, 0x64,
	0x54, 0x69, 0x6c, 0x6c, 0x12, 0x1c, 0x0a, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x6d,
	0x73, 0x18, 0x06, 0x20, 0x01, 0x28, 0x03, 0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64,
	0x6d, 0x73, 0x12, 0x1a, 0x0a, 0x08, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x69, 0x74, 0x79, 0x18, 0x07,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x69, 0x74, 0x79, 0x12, 0x29,
	0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x08, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x15, 0x2e, 0x63,
	0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x50, 0x68, 0x6f, 0x6e, 0x65, 0x54,
	0x79, 0x70, 0x65, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x2a, 0x0a, 0x05, 0x70, 0x72, 0x69,
	0x63, 0x65, 0x18, 0x09, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x14, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66,
	0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x44, 0x69, 0x64, 0x50, 0x72, 0x69, 0x63, 0x65, 0x52, 0x05,
	0x70, 0x72, 0x69, 0x63, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x6e, 0x6f, 0x74, 0x65, 0x73, 0x18, 0x0a,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x6e, 0x6f, 0x74, 0x65, 0x73, 0x12, 0x35, 0x0a, 0x08, 0x66,
	0x65, 0x61, 0x74, 0x75, 0x72, 0x65, 0x73, 0x18, 0x0b, 0x20, 0x03, 0x28, 0x0e, 0x32, 0x19, 0x2e,
	0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x4e, 0x75, 0x6d, 0x62, 0x65,
	0x72, 0x46, 0x65, 0x61, 0x74, 0x75, 0x72, 0x65, 0x52, 0x08, 0x66, 0x65, 0x61, 0x74, 0x75, 0x72,
	0x65, 0x73, 0x12, 0x2d, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x0c, 0x20, 0x01,
	0x28, 0x0e, 0x32, 0x15, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e,
	0x44, 0x69, 0x64, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75,
	0x73, 0x12, 0x1e, 0x0a, 0x0a, 0x69, 0x6e, 0x63, 0x6f, 0x6d, 0x70, 0x6c, 0x65, 0x74, 0x65, 0x18,
	0x0d, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0a, 0x69, 0x6e, 0x63, 0x6f, 0x6d, 0x70, 0x6c, 0x65, 0x74,
	0x65, 0x32, 0xe7, 0x06, 0x0a, 0x03, 0x44, 0x49, 0x44, 0x12, 0x6b, 0x0a, 0x17, 0x47, 0x65, 0x74,
	0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x69, 0x74, 0x69, 0x65, 0x73, 0x42, 0x79, 0x46, 0x65, 0x61, 0x74,
	0x75, 0x72, 0x65, 0x73, 0x12, 0x2a, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a,
	0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x4c, 0x6f, 0x63,
	0x61, 0x6c, 0x69, 0x74, 0x79, 0x43, 0x6f, 0x6e, 0x73, 0x74, 0x72, 0x61, 0x69, 0x6e, 0x74, 0x73,
	0x1a, 0x22, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x44, 0x69, 0x64, 0x4c, 0x6f, 0x63, 0x61,
	0x6c, 0x69, 0x74, 0x79, 0x30, 0x01, 0x12, 0x5e, 0x0a, 0x16, 0x4c, 0x69, 0x73, 0x74, 0x41, 0x76,
	0x61, 0x69, 0x6c, 0x61, 0x62, 0x6c, 0x65, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x72, 0x69, 0x65, 0x73,
	0x12, 0x1f, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x4c, 0x61, 0x6e, 0x67, 0x75, 0x61, 0x67,
	0x65, 0x1a, 0x21, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x44, 0x69, 0x64, 0x43, 0x6f, 0x75,
	0x6e, 0x74, 0x72, 0x79, 0x30, 0x01, 0x12, 0x58, 0x0a, 0x17, 0x4c, 0x69, 0x73, 0x74, 0x41, 0x76,
	0x61, 0x69, 0x6c, 0x61, 0x62, 0x6c, 0x65, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x69, 0x74, 0x69, 0x65,
	0x73, 0x12, 0x17, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x4d, 0x6f, 0x64, 0x65, 0x1a, 0x22, 0x2e, 0x63, 0x6f, 0x6d,
	0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65,
	0x6e, 0x74, 0x2e, 0x44, 0x69, 0x64, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x69, 0x74, 0x79, 0x30, 0x01,
	0x12, 0x5d, 0x0a, 0x14, 0x4c, 0x69, 0x73, 0x74, 0x41, 0x76, 0x61, 0x69, 0x6c, 0x61, 0x62, 0x6c,
	0x65, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x73, 0x12, 0x22, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66,
	0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74,
	0x2e, 0x44, 0x69, 0x64, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x69, 0x74, 0x79, 0x1a, 0x1f, 0x2e, 0x63,
	0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c,
	0x69, 0x65, 0x6e, 0x74, 0x2e, 0x44, 0x69, 0x64, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x30, 0x01, 0x12,
	0x53, 0x0a, 0x0d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72,
	0x12, 0x1f, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x44, 0x69, 0x64, 0x4f, 0x66, 0x66, 0x65,
	0x72, 0x1a, 0x21, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x44, 0x69, 0x64, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x12, 0x44, 0x0a, 0x0d, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x4e,
	0x75, 0x6d, 0x62, 0x65, 0x72, 0x12, 0x20, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65,
	0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x44, 0x69,
	0x64, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x1a, 0x11, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72,
	0x65, 0x65, 0x6a, 0x65, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x12, 0x49, 0x0a, 0x0a, 0x47, 0x65,
	0x74, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x73, 0x12, 0x17, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66,
	0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x4d, 0x6f, 0x64,
	0x65, 0x1a, 0x20, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x44, 0x69, 0x64, 0x4e, 0x75, 0x6d,
	0x62, 0x65, 0x72, 0x30, 0x01, 0x12, 0x4a, 0x0a, 0x09, 0x47, 0x65, 0x74, 0x42, 0x61, 0x73, 0x6b,
	0x65, 0x74, 0x12, 0x17, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x4d, 0x6f, 0x64, 0x65, 0x1a, 0x22, 0x2e, 0x63, 0x6f,
	0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69,
	0x65, 0x6e, 0x74, 0x2e, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x42, 0x61, 0x73, 0x6b, 0x65, 0x74, 0x30,
	0x01, 0x12, 0x56, 0x0a, 0x0c, 0x52, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x42, 0x61, 0x73, 0x6b, 0x65,
	0x74, 0x12, 0x22, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x42,
	0x61, 0x73, 0x6b, 0x65, 0x74, 0x1a, 0x22, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65,
	0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x4f, 0x66,
	0x66, 0x65, 0x72, 0x42, 0x61, 0x73, 0x6b, 0x65, 0x74, 0x12, 0x50, 0x0a, 0x09, 0x41, 0x64, 0x64,
	0x42, 0x61, 0x73, 0x6b, 0x65, 0x74, 0x12, 0x1f, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65,
	0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x44,
	0x69, 0x64, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x1a, 0x22, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72,
	0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e,
	0x4f, 0x66, 0x66, 0x65, 0x72, 0x42, 0x61, 0x73, 0x6b, 0x65, 0x74, 0x42, 0x6b, 0x0a, 0x15, 0x63,
	0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c,
	0x69, 0x65, 0x6e, 0x74, 0x42, 0x07, 0x44, 0x49, 0x44, 0x54, 0x79, 0x70, 0x65, 0x50, 0x00, 0x5a,
	0x3d, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x42, 0x65, 0x74, 0x61,
	0x43, 0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79, 0x2f, 0x46, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2f, 0x73,
	0x64, 0x6b, 0x2f, 0x67, 0x6f, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74,
	0x3b, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x5f, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0xa2, 0x02,
	0x07, 0x44, 0x49, 0x44, 0x54, 0x79, 0x70, 0x65, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_client_did_proto_rawDescOnce sync.Once
	file_client_did_proto_rawDescData = file_client_did_proto_rawDesc
)

func file_client_did_proto_rawDescGZIP() []byte {
	file_client_did_proto_rawDescOnce.Do(func() {
		file_client_did_proto_rawDescData = protoimpl.X.CompressGZIP(file_client_did_proto_rawDescData)
	})
	return file_client_did_proto_rawDescData
}

var file_client_did_proto_msgTypes = make([]protoimpl.MessageInfo, 8)
var file_client_did_proto_goTypes = []interface{}{
	(*Language)(nil),            // 0: com.freeje.api.client.Language
	(*DidCountry)(nil),          // 1: com.freeje.api.client.DidCountry
	(*DidLocality)(nil),         // 2: com.freeje.api.client.DidLocality
	(*DidRequest)(nil),          // 3: com.freeje.api.client.DidRequest
	(*OfferBasket)(nil),         // 4: com.freeje.api.client.OfferBasket
	(*DidOffer)(nil),            // 5: com.freeje.api.client.DidOffer
	(*LocalityConstraints)(nil), // 6: com.freeje.api.client.LocalityConstraints
	(*DidNumber)(nil),           // 7: com.freeje.api.client.DidNumber
	(api.NumberFeature)(0),      // 8: com.freeje.NumberFeature
	(api.PhoneType)(0),          // 9: com.freeje.PhoneType
	(*api.DidPrice)(nil),        // 10: com.freeje.DidPrice
	(api.DocumentType)(0),       // 11: com.freeje.DocumentType
	(api.DidStatus)(0),          // 12: com.freeje.DidStatus
	(*api.RequestMode)(nil),     // 13: com.freeje.RequestMode
	(*api.Empty)(nil),           // 14: com.freeje.Empty
}
var file_client_did_proto_depIdxs = []int32{
	8,  // 0: com.freeje.api.client.DidLocality.features:type_name -> com.freeje.NumberFeature
	9,  // 1: com.freeje.api.client.DidLocality.types:type_name -> com.freeje.PhoneType
	5,  // 2: com.freeje.api.client.OfferBasket.offer:type_name -> com.freeje.api.client.DidOffer
	9,  // 3: com.freeje.api.client.DidOffer.type:type_name -> com.freeje.PhoneType
	10, // 4: com.freeje.api.client.DidOffer.price:type_name -> com.freeje.DidPrice
	11, // 5: com.freeje.api.client.DidOffer.requirements:type_name -> com.freeje.DocumentType
	8,  // 6: com.freeje.api.client.DidOffer.features:type_name -> com.freeje.NumberFeature
	8,  // 7: com.freeje.api.client.LocalityConstraints.features:type_name -> com.freeje.NumberFeature
	9,  // 8: com.freeje.api.client.LocalityConstraints.types:type_name -> com.freeje.PhoneType
	9,  // 9: com.freeje.api.client.DidNumber.type:type_name -> com.freeje.PhoneType
	10, // 10: com.freeje.api.client.DidNumber.price:type_name -> com.freeje.DidPrice
	8,  // 11: com.freeje.api.client.DidNumber.features:type_name -> com.freeje.NumberFeature
	12, // 12: com.freeje.api.client.DidNumber.status:type_name -> com.freeje.DidStatus
	6,  // 13: com.freeje.api.client.DID.GetLocalitiesByFeatures:input_type -> com.freeje.api.client.LocalityConstraints
	0,  // 14: com.freeje.api.client.DID.ListAvailableCountries:input_type -> com.freeje.api.client.Language
	13, // 15: com.freeje.api.client.DID.ListAvailableLocalities:input_type -> com.freeje.RequestMode
	2,  // 16: com.freeje.api.client.DID.ListAvailableNumbers:input_type -> com.freeje.api.client.DidLocality
	5,  // 17: com.freeje.api.client.DID.RequestNumber:input_type -> com.freeje.api.client.DidOffer
	7,  // 18: com.freeje.api.client.DID.ReleaseNumber:input_type -> com.freeje.api.client.DidNumber
	13, // 19: com.freeje.api.client.DID.GetNumbers:input_type -> com.freeje.RequestMode
	13, // 20: com.freeje.api.client.DID.GetBasket:input_type -> com.freeje.RequestMode
	4,  // 21: com.freeje.api.client.DID.RemoveBasket:input_type -> com.freeje.api.client.OfferBasket
	5,  // 22: com.freeje.api.client.DID.AddBasket:input_type -> com.freeje.api.client.DidOffer
	2,  // 23: com.freeje.api.client.DID.GetLocalitiesByFeatures:output_type -> com.freeje.api.client.DidLocality
	1,  // 24: com.freeje.api.client.DID.ListAvailableCountries:output_type -> com.freeje.api.client.DidCountry
	2,  // 25: com.freeje.api.client.DID.ListAvailableLocalities:output_type -> com.freeje.api.client.DidLocality
	5,  // 26: com.freeje.api.client.DID.ListAvailableNumbers:output_type -> com.freeje.api.client.DidOffer
	3,  // 27: com.freeje.api.client.DID.RequestNumber:output_type -> com.freeje.api.client.DidRequest
	14, // 28: com.freeje.api.client.DID.ReleaseNumber:output_type -> com.freeje.Empty
	7,  // 29: com.freeje.api.client.DID.GetNumbers:output_type -> com.freeje.api.client.DidNumber
	4,  // 30: com.freeje.api.client.DID.GetBasket:output_type -> com.freeje.api.client.OfferBasket
	4,  // 31: com.freeje.api.client.DID.RemoveBasket:output_type -> com.freeje.api.client.OfferBasket
	4,  // 32: com.freeje.api.client.DID.AddBasket:output_type -> com.freeje.api.client.OfferBasket
	23, // [23:33] is the sub-list for method output_type
	13, // [13:23] is the sub-list for method input_type
	13, // [13:13] is the sub-list for extension type_name
	13, // [13:13] is the sub-list for extension extendee
	0,  // [0:13] is the sub-list for field type_name
}

func init() { file_client_did_proto_init() }
func file_client_did_proto_init() {
	if File_client_did_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_client_did_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Language); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_client_did_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DidCountry); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_client_did_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DidLocality); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_client_did_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DidRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_client_did_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*OfferBasket); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_client_did_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DidOffer); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_client_did_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*LocalityConstraints); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_client_did_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DidNumber); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_client_did_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   8,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_client_did_proto_goTypes,
		DependencyIndexes: file_client_did_proto_depIdxs,
		MessageInfos:      file_client_did_proto_msgTypes,
	}.Build()
	File_client_did_proto = out.File
	file_client_did_proto_rawDesc = nil
	file_client_did_proto_goTypes = nil
	file_client_did_proto_depIdxs = nil
}
